Kerbal Space Program - Bug #18288

Fairings have 0 (zero) drag.
03/30/2018 04:48 AM - enginersdontfly@gmail.com

Status: Closed Start date: 03/30/2018
Severity: Normal % Done: 100%
Assignee:

Category: Physics

Target version: 1.4.3

Version: 1.4.2 Language: English (US)
Platform: OSX, Windows Mod Related: No
Expansion: Core Game

Description

Simple as the title says, kinda surprised this one slipped through. Maybe you guys skipped the bug testing phase for 1.4.2, hopefully
you learned a lesson. Anyways, the bug, how to reproduce:

Add a fairing to your vessel and fly. Results are extremely obvious when the entire vessel is enclosed in a fairing, i've made a test
craft to prove this. However know that the bug does still occur if the vessel is not enclosed.

Related issues:

Related to Kerbal Space Program - Bug #18264: Fairings producing abnormal amo... Closed 03/28/2018
Has duplicate Kerbal Space Program - Bug #18510: Rocket fully envelopped by a... Duplicate 04/11/2018
History

#1 - 03/30/2018 04:52 AM - enginersdontfly@gmail.com

| came across this bug when attempting a land speed record run when things went south and i continued to fly with no sign of slowing down.
video clip showing the bug here: https:/youtu.be/AiFL6EqtbB0

#2 - 04/01/2018 09:09 PM - Anonymous
- File noDragFairing.craft added

- Status changed from New to Confirmed
- % Done changed from 0 to 10

- Platform Windows added

Confirming, normal drag in 1.4.1 (for payload fairings) zero drag in 1.4.2.

#3 - 04/03/2018 11:06 AM - Squelch
- Related to Bug #18264: Fairings producing abnormal amount of drag added

#4 - 04/03/2018 11:06 AM - Squelch
- Status changed from Confirmed to Investigating

- % Done changed from 10 to 20

#5 - 04/03/2018 06:10 PM - Squelch
- Status changed from Investigating to Being Worked On
- % Done changed from 20 to 30

This issue is related to #18264, and as a consequence, aero data is showing as null. The actual values are not being displayed correctly.

#6 - 04/03/2018 06:10 PM - Squelch

- Severity changed from Low to Normal

#7 - 04/18/2018 12:33 AM - Squelch

- Has duplicate Bug #18510: Rocket fully envelopped by an Airstream around Eve shows undocumented weird behavior added
https://youtu.be/AiFL6EqtbB0
https://bugs.kerbalspaceprogram.com/issues/18264

#8 - 04/26/2018 11:32 PM - Squelch
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.4.3

- % Done changed from 30 to 80

This is now addressed.

#9 - 04/27/2018 06:28 AM - jclovis3
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

| tested with two different shapes for my fairing. One with a cylindrical shape up to the top part and then a point, and the other with a max wide base
and a closing just above the top part. The max wide base (fairing opened all the way up) caused so much drag, the ship was forced to flip over.
Extending a max wide base to a much longer cylindrical shape and then a 30 degree slope to closing has the same huge drag, which demonstrates
that drag is now based on the widest cross section perpendicular to the direction of movement.

I'd say this bug has been fixed.

#10 - 07/26/2018 09:46 PM - joshua.collins

- Status changed from Resolved to Closed

Files

Screen Shot 2018-03-29 at 9.27.21 PM.png 2.76 MB 03/30/2018 enginersdontfly@gmail.com
FC-4.craft 159 KB 03/30/2018 enginersdontfly@gmail.com
noDragFairing.craft 12.3 KB 04/01/2018 Anonymous
